
QGIS Application - Bug report #6591

topoviewer: layers are not under their group anymore

2012-10-31 03:45 PM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15782

Description

I clearly remember having added a layer group to put all layers into, but as of commit:bbecffdb659ce3b5d33d11fa93290f7c04b9cbff I see

that the group is created but no layer is put into it. Sounds like a regression, or a change in core API ?

Associated revisions

Revision 677095f7 - 2012-12-14 05:51 PM - Sandro Santilli 

Fix addGroup to return the integer groupIndex other methods expect

This commit fixes #6591, although doesn't make the existing

interface any better than it is, and it is really bad :)

No plugin should need any adaption with the changes.

History

#1 - 2012-11-01 08:06 AM - Sandro Santilli

I've found that sometimes they are and sometimes they are not.

I think it depends on the presence of another layer when starting the topoviewer.

#2 - 2012-12-10 11:28 PM - Sandro Santilli

After further research it turns out that the main problem is within the core API itself, in that the Legend.addGroup function returns a useless int index. I say

useless because that index is obtained by QModelIndex.row() but at scan time (in Legend.moveLayer) printing the .row() of every item's QModelIndex

shows a lot of duplicates, so it doesn't seem like the Legend.addGroup return value can be used to really identify a group.

#3 - 2012-12-11 02:12 AM - Sandro Santilli

This bug would be fixed by merging this pull request in core: https://github.com/qgis/Quantum-GIS/pull/351

#4 - 2012-12-14 08:51 AM - Sandro Santilli

- Status changed from Open to Closed

Fixed in changeset commit:"677095f7911cb0e2af91004cf37dfc988d75eded".

2025-05-18 1/2

https://github.com/qgis/Quantum-GIS/pull/351


2025-05-18 2/2


